### FastqToSam

Extracts read sequences and qualities from the input fastq file and writes them into the output file in unaligned BAM format. Input files can be in GZip format (end in .gz).

Option | Description
--- | ---
FASTQ=File | Input fastq file (optionally gzipped) for single end data, or first read in paired end data. Required.
FASTQ2=File | Input fastq file (optionally gzipped) for the second read of paired end data. Default value: null.
QUALITY_FORMAT=FastqQualityFormat | A value describing how the quality values are encoded in the fastq. Either Solexa for pre-pipeline 1.3 style scores (solexa scaling + 66), Illumina for pipeline 1.3 and above (phred scaling + 64) or Standard for phred scaled scores with a character shift of 33. Required. Possible values: {Solexa, Illumina, Standard}
OUTPUT=File | Output SAM/BAM file. Required.
READ_GROUP_NAME=String | Read group name Default value: A. This option can be set to 'null' to clear the default value.
SAMPLE_NAME=String | Sample name to insert into the read group header Required.
LIBRARY_NAME=String | The library name to place into the LB attribute in the read group header Default value: null.
PLATFORM_UNIT=String | The platform unit (often run_barcode.lane) to insert into the read group header Default value: null.
PLATFORM=String | The platform type (e.g. illumina, solid) to insert into the read group header Default value: null.
SEQUENCING_CENTER=String | The sequencing center from which the data originated Default value: null.
PREDICTED_INSERT_SIZE=Integer | Predicted median insert size, to insert into the read group header Default value: null.
DESCRIPTION=String | Inserted into the read group header Default value: null.
RUN_DATE=Iso8601Date | Date the run was produced, to insert into the read group header Default value: null.
SORT_ORDER=SortOrder | The sort order for the output sam/bam file. Default value: queryname. This option can be set to 'null' to clear the default value. Possible values: {unsorted, queryname, coordinate}
MIN_Q=Integer | Minimum quality allowed in the input fastq. An exception will be thrown if a quality is less than this value. Default value: 0. This option can be set to 'null' to clear the default value.
MAX_Q=Integer | Maximum quality allowed in the input fastq. An exception will be thrown if a quality is greater than this value. Default value: 93. This option can be set to 'null' to clear the default value.